<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
    
     <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
     
     <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
    
    
    <style>
       /* body{
            background: #5c258D;
            background: linear-gradient(to left, #5c258D, #4389A2);
        }*/
        
        * {
	margin: 0;
	padding: 0;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}
 
body {
	background: #FAFAFA;
	font-family: arial, helvetica, sans-serif;
	font-size: 16px;
}
 
.wrap {
	margin: auto;
	max-width: 800px;
	width: 90%;
}
 
.principal {
	background: #F44336;
	border-top: 20px solid #D32F2F;
	color: #fff;
	padding: 50px 0;
	width: 100%;
}
 
.principal .formulario {
	color: #212121;
	text-align: center;
}
 
.principal .formulario input[type=text] {
	margin-bottom: 20px;
	padding: 10px;
	width: 100%;
}
 
.principal .formulario input[type=text].error {
	border: 5px solid #D32F2F;
	color: red;
}
 
.principal .formulario .boton {
	background: none;
	border: 1px solid #D32F2F;
	color: #fff;
	display: inline-block;
	font-size: 16px;
	padding: 15px;
}
 
.principal .formulario .boton:hover {
	border: 1px solid #fff;
}
 
/* - Tareas - */
.tareas .lista {
	list-style: none;
}
 
.tareas .lista li {
	border-bottom: 1px solid #B6B6B6;
}
 
.tareas .lista li a {
	color: #212121;
	display: block;
	padding: 20px 0;
	text-decoration: none;
}
 
.tareas .lista li a:hover {
	text-decoration: line-through;
}
       
    </style>
</head>
<body>
    
    <div class="principal">
		<div class="wrap">
			<form class="formulario" action="">
				<input type="text" id="tareaInput" placeholder="Agrega tu tarea">
				<input type="button" class="boton" id="btn-agregar" value="Agregar Tarea">
			</form>
		</div>
	</div>
 
	<div class="tareas">
		<div class="wrap">
			<ul class="lista" id="lista">
				
			</ul>
		</div>
	</div>
    
    
    
     <script src="js/jquery-3.3.1.min.js"></script>
     <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
     <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
    

    <script>
       (function(){
	// Variables
	var lista = document.getElementById("lista"),
		tareaInput = document.getElementById("tareaInput"),
		btnNuevaTarea = document.getElementById("btn-agregar");

	// Funciones
	var agregarTarea = function(){
		var tarea = tareaInput.value,
			nuevaTarea = document.createElement("li"),
			enlace = document.createElement("a"),
			contenido = document.createTextNode(tarea);

		if (tarea === "") {
			tareaInput.setAttribute("placeholder", "Agrega una tarea valida");
			tareaInput.className = "error";
			return false;
		}

		// Agregamos el contenido al enlace
		enlace.appendChild(contenido);
		// Le establecemos un atributo href
		enlace.setAttribute("href", "#");
		// Agrergamos el enlace (a) a la nueva tarea (li)
		nuevaTarea.appendChild(enlace);
		// Agregamos la nueva tarea a la lista
		lista.appendChild(nuevaTarea);

		tareaInput.value = "";

		for (var i = 0; i <= lista.children.length -1; i++) {
			lista.children[i].addEventListener("click", function(){
				this.parentNode.removeChild(this);
			});
		}

	};
	var comprobarInput = function(){
		tareaInput.className = "";
		teareaInput.setAttribute("placeholder", "Agrega tu tarea");
	};

	var eleminarTarea = function(){
		this.parentNode.removeChild(this);
	};

	// Eventos

	// Agregar Tarea
	btnNuevaTarea.addEventListener("click", agregarTarea);

	// Comprobar Input
	tareaInput.addEventListener("click", comprobarInput);

	// Borrando Elementos de la lista
	for (var i = 0; i <= lista.children.length -1; i++) {
		lista.children[i].addEventListener("click", eleminarTarea);
	}
}());
        
      
    </script>

</body>
</html>